Page MenuHomeFreeBSD

nvidia-drm-kmod: Update to 550.54.14
ClosedPublic

Authored by ashafer_badland.io on Feb 24 2024, 10:33 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jun 16, 2:43 AM
Unknown Object (File)
Sat, Jun 15, 9:46 PM
Unknown Object (File)
Sat, Jun 15, 7:27 PM
Unknown Object (File)
Sat, Jun 15, 6:38 PM
Unknown Object (File)
May 22 2024, 3:19 PM
Unknown Object (File)
May 14 2024, 10:41 AM
Unknown Object (File)
May 14 2024, 10:37 AM
Unknown Object (File)
May 14 2024, 10:37 AM

Details

Summary

The 550 release contains all nvidia-drm patches, there is finally no
longer any need for the personal github release I've been doing. This
updates to 550, but also reworks the port to build straight from the
release tarball.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Note that this shouldn't be merged until after PR 277028

Is there any reason to disallow nvidia-drm-61-kmod for whole stable/14 other than that graphics/drm-61-kmod disallows them?
If not, stable/14 having ${OSVERSION} >= 1400508 is now stated to be supported by graphics/drm-61-kmod starting from commit e04b01217828bf06d36a02ad8e69dbb54c30b607 [1].

[1] https://cgit.freebsd.org/ports/commit/?id=e04b01217828bf06d36a02ad8e69dbb54c30b607

graphics/nvidia-drm-kmod/Makefile
21–25

Is there any reason to disallow nvidia-drm-61-kmod for whole stable/14 other than that graphics/drm-61-kmod disallows them?
If not, stable/14 having ${OSVERSION} >= 1400508 is now stated to be supported by graphics/drm-61-kmod starting from commit e04b01217828bf06d36a02ad8e69dbb54c30b607 [1].

[1] https://cgit.freebsd.org/ports/commit/?id=e04b01217828bf06d36a02ad8e69dbb54c30b607

graphics/nvidia-drm-kmod/Makefile
21–25

I got these ranges from the drm-kmod port. It does look like the same discrepancy exists between drm-kmod and drm-61-kmod?

I think the current behavior makes sense purely so it matches drm-kmod exactly. If we would like to change both then that's something we could decide on.

Update to add a pkg-message warning about the new modesetting sysctl

Like on Linux users have to enable the modeset parameter:
https://forums.developer.nvidia.com/t/understanding-nvidia-drm-modeset-1-nvidia-linux-driver-modesetting/204068/3

Hmm, I'm getting

/!\ nvidia-drm-510-kmod-535.146.02: Makefile errors /!\

Defining both PORTVERSION and DISTVERSION is wrong, only set one, if necessary,
set DISTNAME

Odd I hadn't seen that warning. I removed the PORTVERSIONS and also reset PORTREVISION.

Odd I hadn't seen that warning. I removed the PORTVERSIONS and also reset PORTREVISION.

You probably need DEVELOPER=yes in your /etc/make.conf.

On not too recent 15-CURRENT I'm getting:

/wrkdirs/usr/ports/graphics/nvidia-drm-61-kmod/work/drm-kmod-drm_v6.1.69_1//include/drm/drm_print.h:34:10: fatal error: 'linux/dynamic_debug.h' file not found
#include <linux/dynamic_debug.h>
         ^~~~~~~~~~~~~~~~~~~~~~~

I think you need to update to a more recent CURRENT, that was added at the end of december I think.

graphics/nvidia-drm-kmod/Makefile
21–25

Ah, so graphics/drm-kmod port is out of sync with graphics/drm-61-kmod port.
It is updated later and has OSVERSION detection as below.

.if ${OPSYS} == FreeBSD && !( ${OSVERSION} >= 1500008 || ( ${OSVERSION} >= 1400508 && ${OSVERSION} < 1500000 ))
IGNORE= not supported on older than 14-STABLE 1400508, no kernel support
.endif
.if ${OPSYS} != FreeBSD
IGNORE= not supported on anything but FreeBSD (missing linuxkpi functionality)
.endif

See its Makefile at commit e04b01217828bf06d36a02ad8e69dbb54c30b607.

https://cgit.freebsd.org/ports/tree/graphics/drm-61-kmod/Makefile

https://cgit.freebsd.org/ports/commit/graphics/drm-61-kmod?id=e04b01217828bf06d36a02ad8e69dbb54c30b607

This revision is now accepted and ready to land.Feb 27 2024, 3:45 PM
This revision was automatically updated to reflect the committed changes.

Late changes. Spelling, and (I think) you need not state .ko in the context of e.g. kldload.

graphics/nvidia-drm-510-kmod/pkg-message
7
graphics/nvidia-drm-515-kmod/pkg-message
7
graphics/nvidia-drm-61-kmod/pkg-message
7
graphics/nvidia-drm-kmod/pkg-message
7